Bug 836549 - Missing PPS LDISC support [NEEDINFO]
Missing PPS LDISC support
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks: 1002711
  Show dependency treegraph
 
Reported: 2012-06-29 09:21 EDT by Ian Bobbitt
Modified: 2015-09-18 09:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 09:53:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pandrade: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Ian Bobbitt 2012-06-29 09:21:04 EDT
Description of problem:
Kernel has PPS support (pps_core.ko), but is missing the pps_ldisc module that lets you attach it to serial lines.

Version-Release number of selected component (if applicable):
kernel-2.6.32-279.el6.x86_64
util-linux-ng-2.17.2-12.7.el6.x86_64

How reproducible:
Missing functionality always reproducible.

Steps to Reproduce:
1. ldattach PPS /dev/ttyS0
  
Actual results:
[root@owamp ~]# ldattach PPS /dev/ttyS0
ldattach: cannot set line discipline: Invalid argument
[root@owamp ~]# 

Expected results:
[root@owamp ~]# ldattach PPS /dev/ttyS0
[root@owamp ~]# 
PPS should then be setup on the port


Additional info:
I believe this is in kernel 3.6.34 and would need to be back ported.
Comment 2 RHEL Product and Program Management 2012-12-14 03:25:57 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Chris Williams 2015-09-18 09:53:23 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.